## orafce 3.13.4

=== Makefile ===
MODULE_big = orafce
OBJS= parse_keyword.o convert.o file.o datefce.o magic.o others.o plvstr.o plvdate.o shmmc.o plvsubst.o utility.o plvlex.o alert.o pipe.o sqlparse.o putline.o assert.o plunit.o random.o aggregate.o orafce.o varchar2.o nvarchar2.o charpad.o charlen.o replace_empty_string.o

EXTENSION = orafce

DATA = orafce--3.13.sql orafce--3.2--3.3.sql orafce--3.3--3.4.sql orafce--3.4--3.5.sql orafce--3.5--3.6.sql orafce--3.6--3.7.sql orafce--3.7--3.8.sql orafce--3.8--3.9.sql orafce--3.9--3.10.sql orafce--3.10--3.11.sql orafce--3.11--3.12.sql orafce--3.12--3.13.sql
DOCS = README.asciidoc COPYRIGHT.orafce INSTALL.orafce

PG_CONFIG ?= pg_config

# make "all" the default target
all:

REGRESS = orafce orafce2 dbms_output dbms_utility files varchar2 nvarchar2 aggregates nlssort dbms_random

#REGRESS_OPTS = --load-language=plpgsql --schedule=parallel_schedule --encoding=utf8
REGRESS_OPTS = --schedule=parallel_schedule --encoding=utf8

#override CFLAGS += -Wextra -Wimplicit-fallthrough=0

ifdef NO_PGXS
subdir = contrib/$(MODULE_big)
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
else
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
endif

ifeq ($(enable_nls), yes)
SHLIB_LINK += $(filter -lintl,$(LIBS))
endif

# remove dependency to libxml2 and libxslt
LIBS := $(filter-out -lxml2, $(LIBS))
LIBS := $(filter-out -lxslt, $(LIBS))

plvlex.o: sqlparse.o

sqlparse.o: $(srcdir)/sqlscan.c

$(srcdir)/sqlparse.h: $(srcdir)/sqlparse.c ;

$(srcdir)/sqlparse.c: sqlparse.y
ifdef BISON
	$(BISON) -d $(BISONFLAGS) -o $@ $<
else
ifdef YACC
	$(YACC) -d $(YFLAGS) -p cube_yy $<
	mv -f y.tab.c sqlparse.c
	mv -f y.tab.h sqlparse.h
else
	bison -d $(BISONFLAGS) -o $@ $<
endif
endif

$(srcdir)/sqlscan.c: sqlscan.l
ifdef FLEX
	$(FLEX) $(FLEXFLAGS) -o'$@' $<
else
	flex $(FLEXFLAGS) -o'$@' $<
endif

distprep: $(srcdir)/sqlparse.c $(srcdir)/sqlscan.c

maintainer-clean:
	rm -f $(srcdir)/sqlparse.c $(srcdir)/sqlscan.c $(srcdir)/sqlparse.h $(srcdir)/y.tab.c $(srcdir)/y.tab.h

=== debian/changelog ===
orafce (3.13.4-3.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 08 Oct 2020 13:56:03 +0200

orafce (3.13.4-3) unstable; urgency=medium

  * Add alternate expected output file for dbms_random on big endian machines.
  * R³: no.

 -- Christoph Berg <myon@debian.org>  Thu, 08 Oct 2020 13:56:03 +0200

orafce (3.13.4-2) unstable; urgency=medium

  * Upload for PostgreSQL 13.
  * Use dh --with pgxs_loop.
  * debian/tests: Simplify and remove historical baggage.

 -- Christoph Berg <myon@debian.org>  Fri, 02 Oct 2020 10:45:27 +0200

orafce (3.13.4-1) unstable; urgency=medium

  * New upstream version.
  * DH 13.

 -- Christoph Berg <myon@debian.org>  Wed, 03 Jun 2020 12:45:26 +0200

orafce (3.12.0-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 18 May 2020 21:10:35 +0200

orafce (3.11.1-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 06 May 2020 10:06:13 +0200

orafce (3.11.0-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Apr 2020 13:38:10 +0200

=== debian/control ===
Source: orafce
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Peter Eisentraut <petere@debian.org>,
 Christoph Berg <myon@debian.org>,
 Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
Build-Depends:
 bison,
 debhelper (>= 10),
 flex,
 libicu-dev,
 libssl-dev,
 locales-all,
 postgresql-all (>= 217~),
Standards-Version: 4.5.0
Homepage: https://github.com/orafce/orafce
Vcs-Git: https://salsa.debian.org/postgresql/orafce.git
Vcs-Browser: https://salsa.debian.org/postgresql/orafce
Rules-Requires-Root: no

Package: postgresql-9.5-orafce
Architecture: any
Depends: postgresql-9.5, ${misc:Depends}, ${shlibs:Depends}
Description: Oracle support functions for PostgreSQL 9.5
 This project implements some functions for compatibility with Oracle.
 The functionality was verified on Oracle 10g, and the module is
 useful for production work.

Package: postgresql-9.6-orafce
Architecture: any
Depends: postgresql-9.6, ${misc:Depends}, ${shlibs:Depends}
Description: Oracle support functions for PostgreSQL 9.6
 This project implements some functions for compatibility with Oracle.
 The functionality was verified on Oracle 10g, and the module is
 useful for production work.

Package: postgresql-10-orafce
Architecture: any
Depends: postgresql-10, ${misc:Depends}, ${shlibs:Depends}
Description: Oracle support functions for PostgreSQL 10
 This project implements some functions for compatibility with Oracle.
 The functionality was verified on Oracle 10g, and the module is
 useful for production work.

Package: postgresql-11-orafce
Architecture: any
Depends: postgresql-11, ${misc:Depends}, ${shlibs:Depends}
Description: Oracle support functions for PostgreSQL 11
 This project implements some functions for compatibility with Oracle.
 The functionality was verified on Oracle 10g, and the module is
 useful for production work.

Package: postgresql-12-orafce
Architecture: any
Depends: postgresql-12, ${misc:Depends}, ${shlibs:Depends}
Description: Oracle support functions for PostgreSQL 12
 This project implements some functions for compatibility with Oracle.
 The functionality was verified on Oracle 10g, and the module is
 useful for production work.

Package: postgresql-13-orafce
Architecture: any
Depends: postgresql-13, ${misc:Depends}, ${shlibs:Depends}
Description: Oracle support functions for PostgreSQL 13
 This project implements some functions for compatibility with Oracle.
 The functionality was verified on Oracle 10g, and the module is
 useful for production work.

## orafce 3.14.0

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 EXTENSION = orafce
 
-DATA = orafce--3.13.sql orafce--3.2--3.3.sql orafce--3.3--3.4.sql orafce--3.4--3.5.sql orafce--3.5--3.6.sql orafce--3.6--3.7.sql orafce--3.7--3.8.sql orafce--3.8--3.9.sql orafce--3.9--3.10.sql orafce--3.10--3.11.sql orafce--3.11--3.12.sql orafce--3.12--3.13.sql
+DATA = orafce--3.14.sql orafce--3.2--3.3.sql orafce--3.3--3.4.sql orafce--3.4--3.5.sql orafce--3.5--3.6.sql orafce--3.6--3.7.sql orafce--3.7--3.8.sql orafce--3.8--3.9.sql orafce--3.9--3.10.sql orafce--3.10--3.11.sql orafce--3.11--3.12.sql orafce--3.12--3.13.sql orafce--3.13--3.14.sql
 DOCS = README.asciidoc COPYRIGHT.orafce INSTALL.orafce
 
 PG_CONFIG ?= pg_config

=== debian/changelog ===
orafce (3.14.0-1.pgdg21.04+2) hirsute-pgdg; urgency=medium

  * Rebuild for hirsute-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 04 Jan 2021 14:55:00 +0100

orafce (3.14.0-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 04 Jan 2021 14:55:00 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
 Build-Depends:
  bison,
- debhelper (>= 10),
+ debhelper-compat (= 13),
  flex,
  libicu-dev,
  libssl-dev,
@@ -19,14 +19,6 @@
 Vcs-Git: https://salsa.debian.org/postgresql/orafce.git
 Vcs-Browser: https://salsa.debian.org/postgresql/orafce
 Rules-Requires-Root: no
-
-Package: postgresql-9.5-orafce
-Architecture: any
-Depends: postgresql-9.5, ${misc:Depends}, ${shlibs:Depends}
-Description: Oracle support functions for PostgreSQL 9.5
- This project implements some functions for compatibility with Oracle.
- The functionality was verified on Oracle 10g, and the module is
- useful for production work.
 
 Package: postgresql-9.6-orafce
 Architecture: any

## orafce 3.16.0

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 EXTENSION = orafce
 
-DATA = orafce--3.14.sql orafce--3.2--3.3.sql orafce--3.3--3.4.sql orafce--3.4--3.5.sql orafce--3.5--3.6.sql orafce--3.6--3.7.sql orafce--3.7--3.8.sql orafce--3.8--3.9.sql orafce--3.9--3.10.sql orafce--3.10--3.11.sql orafce--3.11--3.12.sql orafce--3.12--3.13.sql orafce--3.13--3.14.sql
+DATA = orafce--3.16.sql orafce--3.2--3.3.sql orafce--3.3--3.4.sql orafce--3.4--3.5.sql orafce--3.5--3.6.sql orafce--3.6--3.7.sql orafce--3.7--3.8.sql orafce--3.8--3.9.sql orafce--3.9--3.10.sql orafce--3.10--3.11.sql orafce--3.11--3.12.sql orafce--3.12--3.13.sql orafce--3.13--3.14.sql orafce--3.14--3.15.sql orafce--3.15--3.16.sql
 DOCS = README.asciidoc COPYRIGHT.orafce INSTALL.orafce
 
 PG_CONFIG ?= pg_config
@@ -11,7 +11,7 @@
 # make "all" the default target
 all:
 
-REGRESS = orafce orafce2 dbms_output dbms_utility files varchar2 nvarchar2 aggregates nlssort dbms_random
+REGRESS = orafce orafce2 dbms_output dbms_utility files varchar2 nvarchar2 aggregates nlssort dbms_random regexp_func
 
 #REGRESS_OPTS = --load-language=plpgsql --schedule=parallel_schedule --encoding=utf8
 REGRESS_OPTS = --schedule=parallel_schedule --encoding=utf8

=== debian/changelog ===
orafce (3.16.0-1.pgdg21.04+1) hirsute-pgdg; urgency=medium

  * Rebuild for hirsute-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 04 Oct 2021 11:42:27 +0200

orafce (3.16.0-1) unstable; urgency=medium

  * New upstream version.
  * sql/dbms_utility.sql: Allow more time for test.

 -- Christoph Berg <myon@debian.org>  Mon, 04 Oct 2021 11:42:27 +0200

=== debian/control ===
--- 
+++ 
@@ -59,3 +59,11 @@
  This project implements some functions for compatibility with Oracle.
  The functionality was verified on Oracle 10g, and the module is
  useful for production work.
+
+Package: postgresql-14-orafce
+Architecture: any
+Depends: postgresql-14, ${misc:Depends}, ${shlibs:Depends}
+Description: Oracle support functions for PostgreSQL 14
+ This project implements some functions for compatibility with Oracle.
+ The functionality was verified on Oracle 10g, and the module is
+ useful for production work.

## orafce 3.16.2

=== debian/changelog ===
orafce (3.16.2-1.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 15 Oct 2021 14:10:59 +0200

orafce (3.16.2-1) unstable; urgency=medium

  * New upstream version.
  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Fri, 15 Oct 2021 14:10:59 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
 Build-Depends:
  bison,
- debhelper-compat (= 13),
+ debhelper (>= 10),
  flex,
  libicu-dev,
  libssl-dev,

## orafce 3.17.0

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 EXTENSION = orafce
 
-DATA = orafce--3.16.sql orafce--3.2--3.3.sql orafce--3.3--3.4.sql orafce--3.4--3.5.sql orafce--3.5--3.6.sql orafce--3.6--3.7.sql orafce--3.7--3.8.sql orafce--3.8--3.9.sql orafce--3.9--3.10.sql orafce--3.10--3.11.sql orafce--3.11--3.12.sql orafce--3.12--3.13.sql orafce--3.13--3.14.sql orafce--3.14--3.15.sql orafce--3.15--3.16.sql
+DATA = orafce--3.17.sql orafce--3.2--3.3.sql orafce--3.3--3.4.sql orafce--3.4--3.5.sql orafce--3.5--3.6.sql orafce--3.6--3.7.sql orafce--3.7--3.8.sql orafce--3.8--3.9.sql orafce--3.9--3.10.sql orafce--3.10--3.11.sql orafce--3.11--3.12.sql orafce--3.12--3.13.sql orafce--3.13--3.14.sql orafce--3.14--3.15.sql orafce--3.15--3.16.sql orafce--3.16--3.17.sql
 DOCS = README.asciidoc COPYRIGHT.orafce INSTALL.orafce
 
 PG_CONFIG ?= pg_config

=== debian/changelog ===
orafce (3.17.0-1.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 13 Dec 2021 16:56:29 +0100

orafce (3.17.0-1) unstable; urgency=medium

  * New upstream version.
  * Annotate locales-all dependency with <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Mon, 13 Dec 2021 16:56:29 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  flex,
  libicu-dev,
  libssl-dev,
- locales-all,
+ locales-all <!nocheck>,
  postgresql-all (>= 217~),
 Standards-Version: 4.5.0
 Homepage: https://github.com/orafce/orafce

## orafce 3.18.0

=== debian/changelog ===
orafce (3.18.0-1.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Jan 2022 15:56:09 +0100

orafce (3.18.0-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 04 Jan 2022 15:56:09 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
 Build-Depends:
  bison,
- debhelper (>= 10),
+ debhelper-compat (= 13),
  flex,
  libicu-dev,
  libssl-dev,

## orafce 3.18.1

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 EXTENSION = orafce
 
-DATA = orafce--3.17.sql orafce--3.2--3.3.sql orafce--3.3--3.4.sql orafce--3.4--3.5.sql orafce--3.5--3.6.sql orafce--3.6--3.7.sql orafce--3.7--3.8.sql orafce--3.8--3.9.sql orafce--3.9--3.10.sql orafce--3.10--3.11.sql orafce--3.11--3.12.sql orafce--3.12--3.13.sql orafce--3.13--3.14.sql orafce--3.14--3.15.sql orafce--3.15--3.16.sql orafce--3.16--3.17.sql
+DATA = orafce--3.18.sql orafce--3.2--3.3.sql orafce--3.3--3.4.sql orafce--3.4--3.5.sql orafce--3.5--3.6.sql orafce--3.6--3.7.sql orafce--3.7--3.8.sql orafce--3.8--3.9.sql orafce--3.9--3.10.sql orafce--3.10--3.11.sql orafce--3.11--3.12.sql orafce--3.12--3.13.sql orafce--3.13--3.14.sql orafce--3.14--3.15.sql orafce--3.15--3.16.sql orafce--3.16--3.17.sql orafce--3.17--3.18.sql
 DOCS = README.asciidoc COPYRIGHT.orafce INSTALL.orafce
 
 PG_CONFIG ?= pg_config

=== debian/changelog ===
orafce (3.18.1-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 19 Jan 2022 10:07:36 +0100

=== debian/control ===
Source: orafce
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Peter Eisentraut <petere@debian.org>,
 Christoph Berg <myon@debian.org>,
 Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
Build-Depends:
 bison,
 debhelper-compat (= 13),
 flex,
 libicu-dev,
 libssl-dev,
 locales-all <!nocheck>,
 postgresql-all (>= 217~),
Standards-Version: 4.5.0
Homepage: https://github.com/orafce/orafce
Vcs-Git: https://salsa.debian.org/postgresql/orafce.git
Vcs-Browser: https://salsa.debian.org/postgresql/orafce
Rules-Requires-Root: no

Package: postgresql-14-orafce
Architecture: any
Depends: postgresql-14, ${misc:Depends}, ${shlibs:Depends}
Description: Oracle support functions for PostgreSQL 14
 This project implements some functions for compatibility with Oracle.
 The functionality was verified on Oracle 10g, and the module is
 useful for production work.

=== debian/tests/control ===
Depends: @, locales-all, make
Tests: installcheck
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="uversionmangle=s/_RC/~RC/;s/_/./g" \
https://github.com/orafce/orafce/releases .*/VERSION_(.*).tar.gz

## orafce 3.21.1

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 MODULE_big = orafce
-OBJS= parse_keyword.o convert.o file.o datefce.o magic.o others.o plvstr.o plvdate.o shmmc.o plvsubst.o utility.o plvlex.o alert.o pipe.o sqlparse.o putline.o assert.o plunit.o random.o aggregate.o orafce.o varchar2.o nvarchar2.o charpad.o charlen.o replace_empty_string.o
+OBJS= regexp.o parse_keyword.o convert.o file.o datefce.o magic.o others.o plvstr.o plvdate.o shmmc.o plvsubst.o utility.o plvlex.o alert.o pipe.o sqlparse.o putline.o assert.o plunit.o random.o aggregate.o orafce.o varchar2.o nvarchar2.o charpad.o charlen.o replace_empty_string.o
 
 EXTENSION = orafce
 
-DATA = orafce--3.18.sql orafce--3.2--3.3.sql orafce--3.3--3.4.sql orafce--3.4--3.5.sql orafce--3.5--3.6.sql orafce--3.6--3.7.sql orafce--3.7--3.8.sql orafce--3.8--3.9.sql orafce--3.9--3.10.sql orafce--3.10--3.11.sql orafce--3.11--3.12.sql orafce--3.12--3.13.sql orafce--3.13--3.14.sql orafce--3.14--3.15.sql orafce--3.15--3.16.sql orafce--3.16--3.17.sql orafce--3.17--3.18.sql
+DATA = orafce--3.21.sql orafce--3.2--3.3.sql orafce--3.3--3.4.sql orafce--3.4--3.5.sql orafce--3.5--3.6.sql orafce--3.6--3.7.sql orafce--3.7--3.8.sql orafce--3.8--3.9.sql orafce--3.9--3.10.sql orafce--3.10--3.11.sql orafce--3.11--3.12.sql orafce--3.12--3.13.sql orafce--3.13--3.14.sql orafce--3.14--3.15.sql orafce--3.15--3.16.sql orafce--3.16--3.17.sql orafce--3.17--3.18.sql orafce--3.18--3.19.sql orafce--3.19--3.20.sql orafce--3.20--3.21.sql
 DOCS = README.asciidoc COPYRIGHT.orafce INSTALL.orafce
 
 PG_CONFIG ?= pg_config

=== debian/changelog ===
orafce (3.21.1-1.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 02 May 2022 16:28:20 +0200

orafce (3.21.1-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 02 May 2022 16:28:20 +0200

## orafce 3.22.0~20220627.1407-1~1.git2b02d84.pgdg21.10+1

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 EXTENSION = orafce
 
-DATA = orafce--3.21.sql orafce--3.2--3.3.sql orafce--3.3--3.4.sql orafce--3.4--3.5.sql orafce--3.5--3.6.sql orafce--3.6--3.7.sql orafce--3.7--3.8.sql orafce--3.8--3.9.sql orafce--3.9--3.10.sql orafce--3.10--3.11.sql orafce--3.11--3.12.sql orafce--3.12--3.13.sql orafce--3.13--3.14.sql orafce--3.14--3.15.sql orafce--3.15--3.16.sql orafce--3.16--3.17.sql orafce--3.17--3.18.sql orafce--3.18--3.19.sql orafce--3.19--3.20.sql orafce--3.20--3.21.sql
+DATA = orafce--3.22.sql orafce--3.2--3.3.sql orafce--3.3--3.4.sql orafce--3.4--3.5.sql orafce--3.5--3.6.sql orafce--3.6--3.7.sql orafce--3.7--3.8.sql orafce--3.8--3.9.sql orafce--3.9--3.10.sql orafce--3.10--3.11.sql orafce--3.11--3.12.sql orafce--3.12--3.13.sql orafce--3.13--3.14.sql orafce--3.14--3.15.sql orafce--3.15--3.16.sql orafce--3.16--3.17.sql orafce--3.17--3.18.sql orafce--3.18--3.19.sql orafce--3.19--3.20.sql orafce--3.20--3.21.sql orafce--3.21--3.22.sql
 DOCS = README.asciidoc COPYRIGHT.orafce INSTALL.orafce
 
 PG_CONFIG ?= pg_config

=== debian/changelog ===
orafce (3.22.0~20220627.1407-1~1.git2b02d84.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 27 Jun 2022 15:18:09 +0200

orafce (3.22.0-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 27 Jun 2022 15:18:09 +0200

## orafce 3.22.0

=== debian/changelog ===
orafce (3.22.0-1.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 27 Jun 2022 15:18:09 +0200

## orafce 3.24.0

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,30 @@
 
 EXTENSION = orafce
 
-DATA = orafce--3.22.sql orafce--3.2--3.3.sql orafce--3.3--3.4.sql orafce--3.4--3.5.sql orafce--3.5--3.6.sql orafce--3.6--3.7.sql orafce--3.7--3.8.sql orafce--3.8--3.9.sql orafce--3.9--3.10.sql orafce--3.10--3.11.sql orafce--3.11--3.12.sql orafce--3.12--3.13.sql orafce--3.13--3.14.sql orafce--3.14--3.15.sql orafce--3.15--3.16.sql orafce--3.16--3.17.sql orafce--3.17--3.18.sql orafce--3.18--3.19.sql orafce--3.19--3.20.sql orafce--3.20--3.21.sql orafce--3.21--3.22.sql
+DATA = orafce--3.24.sql\
+		orafce--3.2--3.3.sql\
+		orafce--3.3--3.4.sql\
+		orafce--3.4--3.5.sql\
+		orafce--3.5--3.6.sql\
+		orafce--3.6--3.7.sql\
+		orafce--3.7--3.8.sql\
+		orafce--3.8--3.9.sql\
+		orafce--3.9--3.10.sql\
+		orafce--3.10--3.11.sql\
+		orafce--3.11--3.12.sql\
+		orafce--3.12--3.13.sql\
+		orafce--3.13--3.14.sql\
+		orafce--3.14--3.15.sql\
+		orafce--3.15--3.16.sql\
+		orafce--3.16--3.17.sql\
+		orafce--3.17--3.18.sql\
+		orafce--3.18--3.19.sql\
+		orafce--3.19--3.20.sql\
+		orafce--3.20--3.21.sql\
+		orafce--3.21--3.22.sql\
+		orafce--3.22--3.23.sql\
+		orafce--3.23--3.24.sql
+
 DOCS = README.asciidoc COPYRIGHT.orafce INSTALL.orafce
 
 PG_CONFIG ?= pg_config

=== debian/changelog ===
orafce (3.24.0-1.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 08 Aug 2022 19:46:36 +0200

orafce (3.24.0-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 08 Aug 2022 19:46:36 +0200

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,38 @@
 Vcs-Browser: https://salsa.debian.org/postgresql/orafce
 Rules-Requires-Root: no
 
+Package: postgresql-10-orafce
+Architecture: any
+Depends: postgresql-10, ${misc:Depends}, ${shlibs:Depends}
+Description: Oracle support functions for PostgreSQL 10
+ This project implements some functions for compatibility with Oracle.
+ The functionality was verified on Oracle 10g, and the module is
+ useful for production work.
+
+Package: postgresql-11-orafce
+Architecture: any
+Depends: postgresql-11, ${misc:Depends}, ${shlibs:Depends}
+Description: Oracle support functions for PostgreSQL 11
+ This project implements some functions for compatibility with Oracle.
+ The functionality was verified on Oracle 10g, and the module is
+ useful for production work.
+
+Package: postgresql-12-orafce
+Architecture: any
+Depends: postgresql-12, ${misc:Depends}, ${shlibs:Depends}
+Description: Oracle support functions for PostgreSQL 12
+ This project implements some functions for compatibility with Oracle.
+ The functionality was verified on Oracle 10g, and the module is
+ useful for production work.
+
+Package: postgresql-13-orafce
+Architecture: any
+Depends: postgresql-13, ${misc:Depends}, ${shlibs:Depends}
+Description: Oracle support functions for PostgreSQL 13
+ This project implements some functions for compatibility with Oracle.
+ The functionality was verified on Oracle 10g, and the module is
+ useful for production work.
+
 Package: postgresql-14-orafce
 Architecture: any
 Depends: postgresql-14, ${misc:Depends}, ${shlibs:Depends}

## orafce 3.24.1

=== debian/changelog ===
orafce (3.24.1-1.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 16 Aug 2022 15:41:40 +0200

orafce (3.24.1-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 16 Aug 2022 15:41:40 +0200

## orafce 3.24.2

=== debian/changelog ===
orafce (3.24.2-1.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 18 Aug 2022 10:47:38 +0200

orafce (3.24.2-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Thu, 18 Aug 2022 10:47:38 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
 Build-Depends:
  bison,
- debhelper-compat (= 13),
+ debhelper (>= 11),
  flex,
  libicu-dev,
  libssl-dev,

## orafce 3.24.4

=== debian/changelog ===
orafce (3.24.4-1.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 22 Aug 2022 13:47:33 +0200

orafce (3.24.4-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 22 Aug 2022 13:47:33 +0200

## orafce 3.25.0

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,35 @@
 MODULE_big = orafce
-OBJS= regexp.o parse_keyword.o convert.o file.o datefce.o magic.o others.o plvstr.o plvdate.o shmmc.o plvsubst.o utility.o plvlex.o alert.o pipe.o sqlparse.o putline.o assert.o plunit.o random.o aggregate.o orafce.o varchar2.o nvarchar2.o charpad.o charlen.o replace_empty_string.o
+OBJS= regexp.o\
+		parse_keyword.o\
+		convert.o file.o\
+		datefce.o\
+		magic.o\
+		others.o\
+		plvstr.o\
+		plvdate.o\
+		shmmc.o\
+		plvsubst.o\
+		utility.o\
+		plvlex.o\
+		alert.o\
+		pipe.o\
+		sqlparse.o\
+		putline.o\
+		assert.o\
+		plunit.o\
+		random.o\
+		aggregate.o\
+		orafce.o\
+		varchar2.o\
+		nvarchar2.o\
+		charpad.o\
+		charlen.o\
+		replace_empty_string.o\
+		math.o
 
 EXTENSION = orafce
 
-DATA = orafce--3.24.sql\
+DATA = orafce--3.25.sql\
 		orafce--3.2--3.3.sql\
 		orafce--3.3--3.4.sql\
 		orafce--3.4--3.5.sql\
@@ -25,7 +51,8 @@
 		orafce--3.20--3.21.sql\
 		orafce--3.21--3.22.sql\
 		orafce--3.22--3.23.sql\
-		orafce--3.23--3.24.sql
+		orafce--3.23--3.24.sql\
+		orafce--3.24--3.25.sql
 
 DOCS = README.asciidoc COPYRIGHT.orafce INSTALL.orafce

=== debian/changelog ===
orafce (3.25.0-2.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 21 Oct 2022 10:29:38 +0200

orafce (3.25.0-2) unstable; urgency=medium

  * Upload for PostgreSQL 15.

 -- Christoph Berg <myon@debian.org>  Fri, 21 Oct 2022 10:29:38 +0200

orafce (3.25.0-1) unstable; urgency=medium

  * New upstream version.
  * Update watch file to look at github releases.

 -- Christoph Berg <myon@debian.org>  Thu, 06 Oct 2022 16:09:33 +0200

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
  Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
 Build-Depends:
  bison,
- debhelper (>= 11),
+ debhelper (>= 12),
  flex,
  libicu-dev,
  libssl-dev,
  locales-all <!nocheck>,
  postgresql-all (>= 217~),
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/orafce/orafce
 Vcs-Git: https://salsa.debian.org/postgresql/orafce.git
 Vcs-Browser: https://salsa.debian.org/postgresql/orafce
@@ -59,3 +59,11 @@
  This project implements some functions for compatibility with Oracle.
  The functionality was verified on Oracle 10g, and the module is
  useful for production work.
+
+Package: postgresql-15-orafce
+Architecture: any
+Depends: postgresql-15, ${misc:Depends}, ${shlibs:Depends}
+Description: Oracle support functions for PostgreSQL 15
+ This project implements some functions for compatibility with Oracle.
+ The functionality was verified on Oracle 10g, and the module is
+ useful for production work.

## orafce 4.0.0

=== debian/changelog ===
orafce (4.0.0-1.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 07 Nov 2022 14:37:13 +0100

orafce (4.0.0-1) unstable; urgency=medium

  * New upstream version.
  * debian/pgversions: Bump to 11+.

 -- Christoph Berg <myon@debian.org>  Mon, 07 Nov 2022 14:37:13 +0100

## orafce 4.0.1

=== Makefile ===
--- 
+++ 
@@ -25,11 +25,12 @@
 		charpad.o\
 		charlen.o\
 		replace_empty_string.o\
-		math.o
+		math.o\
+		dbms_sql.o
 
 EXTENSION = orafce
 
-DATA = orafce--3.25.sql\
+DATA = orafce--4.0.sql\
 		orafce--3.2--3.3.sql\
 		orafce--3.3--3.4.sql\
 		orafce--3.4--3.5.sql\
@@ -52,7 +53,8 @@
 		orafce--3.21--3.22.sql\
 		orafce--3.22--3.23.sql\
 		orafce--3.23--3.24.sql\
-		orafce--3.24--3.25.sql
+		orafce--3.24--3.25.sql\
+		orafce--3.25--4.0.sql
 
 DOCS = README.asciidoc COPYRIGHT.orafce INSTALL.orafce
 
@@ -61,7 +63,18 @@
 # make "all" the default target
 all:
 
-REGRESS = orafce orafce2 dbms_output dbms_utility files varchar2 nvarchar2 aggregates nlssort dbms_random regexp_func
+REGRESS = orafce\
+		orafce2\
+		dbms_output\
+		dbms_utility\
+		files\
+		varchar2\
+		nvarchar2\
+		aggregates\
+		nlssort\
+		dbms_random\
+		regexp_func\
+		dbms_sql
 
 #REGRESS_OPTS = --load-language=plpgsql --schedule=parallel_schedule --encoding=utf8
 REGRESS_OPTS = --schedule=parallel_schedule --encoding=utf8

=== debian/changelog ===
orafce (4.0.1-1.pgdg22.10+1) kinetic-pgdg; urgency=medium

  * Rebuild for kinetic-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 22 Nov 2022 14:16:04 +0100

orafce (4.0.1-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 22 Nov 2022 14:16:04 +0100

## orafce 4.1.0

=== debian/changelog ===
orafce (4.1.0-1.pgdg22.10+1) kinetic-pgdg; urgency=medium

  * Rebuild for kinetic-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 05 Jan 2023 19:26:55 +0200

orafce (4.1.0-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Thu, 05 Jan 2023 19:26:55 +0200

orafce (4.0.2-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 04 Jan 2023 14:02:23 +0200

## orafce 4.1.1

=== Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 
 EXTENSION = orafce
 
-DATA = orafce--4.0.sql\
+DATA = orafce--4.1.sql\
 		orafce--3.2--3.3.sql\
 		orafce--3.3--3.4.sql\
 		orafce--3.4--3.5.sql\
@@ -54,7 +54,8 @@
 		orafce--3.22--3.23.sql\
 		orafce--3.23--3.24.sql\
 		orafce--3.24--3.25.sql\
-		orafce--3.25--4.0.sql
+		orafce--3.25--4.0.sql\
+		orafce--4.0--4.1.sql
 
 DOCS = README.asciidoc COPYRIGHT.orafce INSTALL.orafce
 
@@ -79,7 +80,7 @@
 #REGRESS_OPTS = --load-language=plpgsql --schedule=parallel_schedule --encoding=utf8
 REGRESS_OPTS = --schedule=parallel_schedule --encoding=utf8
 
-#override CFLAGS += -Wextra -Wimplicit-fallthrough=0
+# override CFLAGS += -Wextra -Wimplicit-fallthrough=0
 
 ifdef NO_PGXS
 subdir = contrib/$(MODULE_big)

=== debian/changelog ===
orafce (4.1.1-1.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 03 Feb 2023 09:53:32 +0100

orafce (4.1.1-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 03 Feb 2023 09:53:32 +0100

=== debian/control ===
--- 
+++ 
@@ -19,14 +19,6 @@
 Vcs-Git: https://salsa.debian.org/postgresql/orafce.git
 Vcs-Browser: https://salsa.debian.org/postgresql/orafce
 Rules-Requires-Root: no
-
-Package: postgresql-10-orafce
-Architecture: any
-Depends: postgresql-10, ${misc:Depends}, ${shlibs:Depends}
-Description: Oracle support functions for PostgreSQL 10
- This project implements some functions for compatibility with Oracle.
- The functionality was verified on Oracle 10g, and the module is
- useful for production work.
 
 Package: postgresql-11-orafce
 Architecture: any

## orafce 4.5.0

=== Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 
 EXTENSION = orafce
 
-DATA = orafce--4.1.sql\
+DATA = orafce--4.5.sql\
 		orafce--3.2--3.3.sql\
 		orafce--3.3--3.4.sql\
 		orafce--3.4--3.5.sql\
@@ -55,7 +55,11 @@
 		orafce--3.23--3.24.sql\
 		orafce--3.24--3.25.sql\
 		orafce--3.25--4.0.sql\
-		orafce--4.0--4.1.sql
+		orafce--4.0--4.1.sql\
+		orafce--4.1--4.2.sql\
+		orafce--4.2--4.3.sql\
+		orafce--4.3--4.4.sql\
+		orafce--4.4--4.5.sql
 
 DOCS = README.asciidoc COPYRIGHT.orafce INSTALL.orafce

=== debian/changelog ===
orafce (4.5.0-1.pgdg23.10+1) mantic-pgdg; urgency=medium

  * Rebuild for mantic-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 07 Aug 2023 11:13:53 +0200

orafce (4.5.0-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 07 Aug 2023 11:13:53 +0200

## orafce 4.6.0

=== Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 
 EXTENSION = orafce
 
-DATA = orafce--4.5.sql\
+DATA = orafce--4.6.sql\
 		orafce--3.2--3.3.sql\
 		orafce--3.3--3.4.sql\
 		orafce--3.4--3.5.sql\
@@ -59,7 +59,8 @@
 		orafce--4.1--4.2.sql\
 		orafce--4.2--4.3.sql\
 		orafce--4.3--4.4.sql\
-		orafce--4.4--4.5.sql
+		orafce--4.4--4.5.sql \
+		orafce--4.5--4.6.sql
 
 DOCS = README.asciidoc COPYRIGHT.orafce INSTALL.orafce

=== debian/changelog ===
orafce (4.6.0-1.pgdg100+1) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sun, 17 Sep 2023 18:51:22 +0200

orafce (4.6.0-1) unstable; urgency=medium

  * New upstream version.
  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Sun, 17 Sep 2023 18:51:22 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  libssl-dev,
  locales-all <!nocheck>,
  postgresql-all (>= 217~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/orafce/orafce
 Vcs-Git: https://salsa.debian.org/postgresql/orafce.git
 Vcs-Browser: https://salsa.debian.org/postgresql/orafce
@@ -22,7 +22,7 @@
 
 Package: postgresql-11-orafce
 Architecture: any
-Depends: postgresql-11, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${postgresql:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Description: Oracle support functions for PostgreSQL 11
  This project implements some functions for compatibility with Oracle.
  The functionality was verified on Oracle 10g, and the module is
@@ -30,7 +30,7 @@
 
 Package: postgresql-12-orafce
 Architecture: any
-Depends: postgresql-12, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${postgresql:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Description: Oracle support functions for PostgreSQL 12
  This project implements some functions for compatibility with Oracle.
  The functionality was verified on Oracle 10g, and the module is
@@ -38,7 +38,7 @@
 
 Package: postgresql-13-orafce
 Architecture: any
-Depends: postgresql-13, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${postgresql:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Description: Oracle support functions for PostgreSQL 13
  This project implements some functions for compatibility with Oracle.
  The functionality was verified on Oracle 10g, and the module is
@@ -46,7 +46,7 @@
 
 Package: postgresql-14-orafce
 Architecture: any
-Depends: postgresql-14, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${postgresql:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Description: Oracle support functions for PostgreSQL 14
  This project implements some functions for compatibility with Oracle.
  The functionality was verified on Oracle 10g, and the module is
@@ -54,7 +54,7 @@
 
 Package: postgresql-15-orafce
 Architecture: any
-Depends: postgresql-15, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${postgresql:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Description: Oracle support functions for PostgreSQL 15
  This project implements some functions for compatibility with Oracle.
  The functionality was verified on Oracle 10g, and the module is

## orafce 4.6.1

=== debian/changelog ===
orafce (4.6.1-1.pgdg23.10+1) mantic-pgdg; urgency=medium

  * Rebuild for mantic-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 29 Sep 2023 17:21:00 +0200

orafce (4.6.1-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 29 Sep 2023 17:21:00 +0200

## orafce 4.7.0

=== debian/changelog ===
orafce (4.7.0-1.pgdg23.10+1) mantic-pgdg; urgency=medium

  * Rebuild for mantic-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 19 Oct 2023 13:31:04 +0200

orafce (4.7.0-1) unstable; urgency=medium

  * New upstream version 4.7.0.

 -- Christoph Berg <myon@debian.org>  Thu, 19 Oct 2023 13:31:04 +0200

## orafce 4.9.0

=== debian/changelog ===
orafce (4.9.0-1.pgdg23.10+1) mantic-pgdg; urgency=medium

  * Rebuild for mantic-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 05 Jan 2024 14:31:49 +0100

orafce (4.9.0-1) unstable; urgency=medium

  * New upstream version 4.9.0.

 -- Christoph Berg <myon@debian.org>  Fri, 05 Jan 2024 14:31:49 +0100

## orafce 4.9.2

=== Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 
 EXTENSION = orafce
 
-DATA = orafce--4.6.sql\
+DATA = orafce--4.9.sql\
 		orafce--3.2--3.3.sql\
 		orafce--3.3--3.4.sql\
 		orafce--3.4--3.5.sql\
@@ -59,8 +59,12 @@
 		orafce--4.1--4.2.sql\
 		orafce--4.2--4.3.sql\
 		orafce--4.3--4.4.sql\
-		orafce--4.4--4.5.sql \
-		orafce--4.5--4.6.sql
+		orafce--4.4--4.5.sql\
+		orafce--4.5--4.6.sql\
+		orafce--4.6--4.7.sql\
+		orafce--4.7--4.8.sql\
+		orafce--4.8--4.9.sql
+
 
 DOCS = README.asciidoc COPYRIGHT.orafce INSTALL.orafce

=== debian/changelog ===
orafce (4.9.2-1.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 08 Feb 2024 17:31:48 +0100

orafce (4.9.2-1) unstable; urgency=medium

  * New upstream version 4.9.2.
  * Don't run the dbms_random test, doesn't work on big endian.

 -- Christoph Berg <myon@debian.org>  Thu, 08 Feb 2024 17:31:48 +0100

=== debian/control ===
--- 
+++ 
@@ -59,3 +59,11 @@
  This project implements some functions for compatibility with Oracle.
  The functionality was verified on Oracle 10g, and the module is
  useful for production work.
+
+Package: postgresql-16-orafce
+Architecture: any
+Depends: ${postgresql:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Description: Oracle support functions for PostgreSQL 16
+ This project implements some functions for compatibility with Oracle.
+ The functionality was verified on Oracle 10g, and the module is
+ useful for production work.

## orafce 4.9.4

=== debian/changelog ===
orafce (4.9.4-1.pgdg23.10+2) mantic-pgdg; urgency=medium

  * Rebuild for mantic-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 10 Apr 2024 11:49:25 +0200

orafce (4.9.4-1) unstable; urgency=medium

  * New upstream version 4.9.4.

 -- Christoph Berg <myon@debian.org>  Wed, 10 Apr 2024 11:49:25 +0200

## orafce 4.10.0

=== debian/changelog ===
orafce (4.10.0-1.pgdg24.04+1) noble-pgdg; urgency=medium

  * Rebuild for noble-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sat, 04 May 2024 11:00:37 +0200

orafce (4.10.0-1) unstable; urgency=medium

  * New upstream version 4.10.0.

 -- Christoph Berg <myon@debian.org>  Sat, 04 May 2024 11:00:37 +0200

## orafce 4.10.3

=== Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 
 EXTENSION = orafce
 
-DATA = orafce--4.9.sql\
+DATA = orafce--4.10.sql\
 		orafce--3.2--3.3.sql\
 		orafce--3.3--3.4.sql\
 		orafce--3.4--3.5.sql\
@@ -63,7 +63,8 @@
 		orafce--4.5--4.6.sql\
 		orafce--4.6--4.7.sql\
 		orafce--4.7--4.8.sql\
-		orafce--4.8--4.9.sql
+		orafce--4.8--4.9.sql\
+		orafce--4.9--4.10.sql
 
 
 DOCS = README.asciidoc COPYRIGHT.orafce INSTALL.orafce

=== debian/changelog ===
orafce (4.10.3-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 03 Jun 2024 14:12:20 +0200

orafce (4.10.3-1) unstable; urgency=medium

  * New upstream version 4.10.3.

 -- Christoph Berg <myon@debian.org>  Mon, 03 Jun 2024 14:12:20 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
 Build-Depends:
  bison,
- debhelper (>= 12),
+ debhelper-compat (= 13),
  flex,
  libicu-dev,
  libssl-dev,

## orafce 4.12.0

=== Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 
 EXTENSION = orafce
 
-DATA = orafce--4.10.sql\
+DATA = orafce--4.12.sql\
 		orafce--3.2--3.3.sql\
 		orafce--3.3--3.4.sql\
 		orafce--3.4--3.5.sql\
@@ -64,7 +64,9 @@
 		orafce--4.6--4.7.sql\
 		orafce--4.7--4.8.sql\
 		orafce--4.8--4.9.sql\
-		orafce--4.9--4.10.sql
+		orafce--4.9--4.10.sql\
+		orafce--4.10--4.11.sql\
+		orafce--4.11--4.12.sql
 
 
 DOCS = README.asciidoc COPYRIGHT.orafce INSTALL.orafce

=== debian/changelog ===
orafce (4.12.0-1.pgdg24.10+1) oracular-pgdg; urgency=medium

  * Rebuild for oracular-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 12 Sep 2024 16:15:05 +0200

orafce (4.12.0-1) unstable; urgency=medium

  * New upstream version 4.12.0.
  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.

 -- Christoph Berg <myon@debian.org>  Thu, 12 Sep 2024 16:15:05 +0200

## orafce 4.13.2

=== Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 
 EXTENSION = orafce
 
-DATA = orafce--4.12.sql\
+DATA = orafce--4.13.sql\
 		orafce--3.2--3.3.sql\
 		orafce--3.3--3.4.sql\
 		orafce--3.4--3.5.sql\
@@ -66,7 +66,8 @@
 		orafce--4.8--4.9.sql\
 		orafce--4.9--4.10.sql\
 		orafce--4.10--4.11.sql\
-		orafce--4.11--4.12.sql
+		orafce--4.11--4.12.sql\
+		orafce--4.12--4.13.sql
 
 
 DOCS = README.asciidoc COPYRIGHT.orafce INSTALL.orafce

=== debian/changelog ===
orafce (4.13.2-1.pgdg24.04+1) noble-pgdg; urgency=medium

  * Rebuild for noble-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 26 Sep 2024 23:15:13 +0200

orafce (4.13.2-1) unstable; urgency=medium

  * New upstream version 4.13.2.

 -- Christoph Berg <myon@debian.org>  Thu, 26 Sep 2024 23:15:13 +0200

## orafce 4.13.5

=== debian/changelog ===
orafce (4.13.5-1.pgdg24.10+1) oracular-pgdg; urgency=medium

  * Rebuild for oracular-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sun, 27 Oct 2024 14:10:36 +0100

orafce (4.13.5-1) unstable; urgency=medium

  * New upstream version 4.13.5.

 -- Christoph Berg <myon@debian.org>  Sun, 27 Oct 2024 14:10:36 +0100

orafce (4.13.4-1) unstable; urgency=medium

  * New upstream version 4.13.4.

 -- Christoph Berg <myon@debian.org>  Tue, 15 Oct 2024 20:03:38 +0200

## orafce 4.14.0

=== debian/changelog ===
orafce (4.14.0-1.pgdg24.10+1) oracular-pgdg; urgency=medium

  * Rebuild for oracular-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 28 Nov 2024 16:48:27 +0100

orafce (4.14.0-1) unstable; urgency=medium

  * New upstream version 4.14.0.

 -- Christoph Berg <myon@debian.org>  Thu, 28 Nov 2024 16:48:27 +0100

## orafce 4.14.1

=== Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 
 EXTENSION = orafce
 
-DATA = orafce--4.13.sql\
+DATA = orafce--4.14.sql\
 		orafce--3.2--3.3.sql\
 		orafce--3.3--3.4.sql\
 		orafce--3.4--3.5.sql\
@@ -67,7 +67,8 @@
 		orafce--4.9--4.10.sql\
 		orafce--4.10--4.11.sql\
 		orafce--4.11--4.12.sql\
-		orafce--4.12--4.13.sql
+		orafce--4.12--4.13.sql\
+		orafce--4.13--4.14.sql
 
 
 DOCS = README.asciidoc COPYRIGHT.orafce INSTALL.orafce

=== debian/changelog ===
orafce (4.14.1-1.pgdg25.04+1) plucky-pgdg; urgency=medium

  * Rebuild for plucky-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 20 Dec 2024 21:36:28 +0100

orafce (4.14.1-1) unstable; urgency=medium

  * New upstream version 4.14.1.

 -- Christoph Berg <myon@debian.org>  Fri, 20 Dec 2024 21:36:28 +0100

## orafce 4.14.2

=== Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 
 EXTENSION = orafce
 
-DATA = orafce--4.14.sql\
+DATA = orafce--4.15.sql\
 		orafce--3.2--3.3.sql\
 		orafce--3.3--3.4.sql\
 		orafce--3.4--3.5.sql\
@@ -68,7 +68,8 @@
 		orafce--4.10--4.11.sql\
 		orafce--4.11--4.12.sql\
 		orafce--4.12--4.13.sql\
-		orafce--4.13--4.14.sql
+		orafce--4.13--4.14.sql\
+		orafce--4.14--4.15.sql
 
 
 DOCS = README.asciidoc COPYRIGHT.orafce INSTALL.orafce

=== debian/changelog ===
orafce (4.14.2-1.pgdg25.04+1) plucky-pgdg; urgency=medium

  * Rebuild for plucky-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sat, 22 Feb 2025 15:46:07 +0100

orafce (4.14.2-1) unstable; urgency=medium

  * New upstream version 4.14.2.

 -- Christoph Berg <myon@debian.org>  Sat, 22 Feb 2025 15:46:07 +0100

## orafce 4.14.3

=== debian/changelog ===
orafce (4.14.3-1.pgdg25.04+1) plucky-pgdg; urgency=medium

  * Rebuild for plucky-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 19 Mar 2025 22:22:04 +0100

orafce (4.14.3-1) unstable; urgency=medium

  * New upstream version 4.14.3.

 -- Christoph Berg <myon@debian.org>  Wed, 19 Mar 2025 22:22:04 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  Christoph Berg <myon@debian.org>,
  Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
 Build-Depends:
+ architecture-is-64-bit <!pkg.postgresql.32-bit>,
  bison,
  debhelper-compat (= 13),
  flex,
@@ -14,7 +15,7 @@
  libssl-dev,
  locales-all <!nocheck>,
  postgresql-all (>= 217~),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/orafce/orafce
 Vcs-Git: https://salsa.debian.org/postgresql/orafce.git
 Vcs-Browser: https://salsa.debian.org/postgresql/orafce
@@ -67,3 +68,11 @@
  This project implements some functions for compatibility with Oracle.
  The functionality was verified on Oracle 10g, and the module is
  useful for production work.
+
+Package: postgresql-17-orafce
+Architecture: any
+Depends: ${postgresql:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Description: Oracle support functions for PostgreSQL 17
+ This project implements some functions for compatibility with Oracle.
+ The functionality was verified on Oracle 10g, and the module is
+ useful for production work.

## orafce 4.14.4

=== debian/changelog ===
orafce (4.14.4-1.pgdg25.10+1) questing-pgdg; urgency=medium

  * Rebuild for questing-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 03 Jun 2025 15:17:32 +0200

orafce (4.14.4-1) unstable; urgency=medium

  * New upstream version 4.14.4.
  * Fix pg_upgrade failure after updating orafce from version 3.13 or earlier.

 -- Christoph Berg <myon@debian.org>  Tue, 03 Jun 2025 15:17:32 +0200

## orafce 4.14.5

=== debian/changelog ===
orafce (4.14.5-1) unstable; urgency=medium

  * New upstream version 4.14.5.

 -- Christoph Berg <myon@debian.org>  Sat, 20 Sep 2025 11:04:54 +0200

orafce (4.14.4-1) experimental; urgency=medium

  * New upstream version 4.14.4.
  * Fix pg_upgrade failure after updating orafce from version 3.13 or earlier.

 -- Christoph Berg <myon@debian.org>  Tue, 03 Jun 2025 15:17:32 +0200

=== debian/control ===
Source: orafce
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Peter Eisentraut <petere@debian.org>,
 Christoph Berg <myon@debian.org>,
 Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
Build-Depends:
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 bison,
 debhelper-compat (= 13),
 flex,
 libicu-dev,
 libssl-dev,
 locales-all <!nocheck>,
 postgresql-all (>= 217~),
Standards-Version: 4.7.0
Homepage: https://github.com/orafce/orafce
Vcs-Git: https://salsa.debian.org/postgresql/orafce.git
Vcs-Browser: https://salsa.debian.org/postgresql/orafce
Rules-Requires-Root: no

Package: postgresql-17-orafce
Architecture: any
Depends: ${postgresql:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Oracle support functions for PostgreSQL 17
 This project implements some functions for compatibility with Oracle.
 The functionality was verified on Oracle 10g, and the module is
 useful for production work.
